## ros-rolling-diagnostic-aggregator 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(diagnostic_aggregator)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(diagnostic_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/status_item.cpp
  src/analyzer_group.cpp
  src/aggregator.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}
  "diagnostic_msgs"
  "pluginlib"
  "rclcpp"
  "std_msgs"
)
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "DIAGNOSTIC_AGGREGATOR_BUILDING_DLL")
# see https://github.com/pybind/pybind11/commit/ba33b2fc798418c8c9dfe801c5b9023d3703f417
if(NOT WIN32)
  target_compile_options(${PROJECT_NAME} PRIVATE -Wdeprecated)
endif()
# prevent pluginlib from using boost
target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

set(ANALYZERS "${PROJECT_NAME}_analyzers")
add_library(${ANALYZERS} SHARED
  src/generic_analyzer.cpp
  src/discard_analyzer.cpp
  src/ignore_analyzer.cpp)
target_include_directories(${ANALYZERS} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${ANALYZERS}
  "diagnostic_msgs"
  "pluginlib"
  "rclcpp"
  "std_msgs"
)
target_link_libraries(${ANALYZERS}
  ${PROJECT_NAME})
target_compile_definitions(${ANALYZERS}
  PRIVATE "DIAGNOSTIC_AGGREGATOR_BUILDING_DLL")
# prevent pluginlib from using boost
target_compile_definitions(${ANALYZERS} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

# Aggregator node
add_executable(aggregator_node src/aggregator_node.cpp)
target_link_libraries(aggregator_node
  ${PROJECT_NAME})

# Testing macro
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)

  file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/aggregator_node" AGGREGATOR_NODE)
  file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/test_listener.py" TEST_LISTENER)
  set(create_analyzers_tests
    "primitive_analyzers"
    "all_analyzers"
    "analyzer_group")
  foreach(test_name ${create_analyzers_tests})
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/${test_name}.yaml" PARAMETER_FILE)
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/expected_output/create_${test_name}" EXPECTED_OUTPUT)

    configure_file(
      "test/create_analyzers.launch.py.in"
      "test_create_${test_name}.launch.py"
      @ONLY
    )
    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_create_${test_name}.launch.py"
      TARGET "test_create_${test_name}"
      TIMEOUT 30
      ENV
    )
  endforeach()

  set(analyzers_output_tests
    "primitive_analyzers"
    "all_analyzers"
    "analyzer_group")
  foreach(test_name ${create_analyzers_tests})
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/${test_name}.yaml" PARAMETER_FILE)
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/expected_output/output_${test_name}" EXPECTED_OUTPUT)

    configure_file(
      "test/test_analyzers_output.launch.py.in"
      "test_output_${test_name}.launch.py"
      @ONLY
    )
    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_output_${test_name}.launch.py"
      TARGET "test_output_${test_name}"
      TIMEOUT 30
      ENV
    )
  endforeach()
endif()

install(
  TARGETS aggregator_node
  DESTINATION lib/${PROJECT_NAME}
)

install(
  TARGETS ${PROJECT_NAME} ${ANALYZERS}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_python_install_package(${PROJECT_NAME})

# Install Example
set(ANALYZER_PARAMS_FILEPATH "${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/example_analyzers.yaml")
configure_file(example/example.launch.py.in example.launch.py @ONLY)
install( # launch descriptor
  FILES ${CMAKE_CURRENT_BINARY_DIR}/example.launch.py
  DESTINATION share/${PROJECT_NAME}
)
install( # example publisher
  PROGRAMS example/example_pub.py
  DESTINATION lib/${PROJECT_NAME}
)
install( # example aggregator configration
  FILES example/example_analyzers.yaml
  DESTINATION share/${PROJECT_NAME}
)

pluginlib_export_plugin_description_file(${PROJECT_NAME} plugin_description.xml)

ament_export_include_directories(include)
ament_export_dependencies(ament_cmake)
ament_export_dependencies(ament_cmake_python)
ament_export_dependencies(diagnostic_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rclpy)
ament_export_dependencies(std_msgs)

ament_package()

=== debian/changelog ===
ros-rolling-diagnostic-aggregator (2.1.3-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 03 Aug 2021 07:00:00 -0000

ros-rolling-diagnostic-aggregator (2.1.2-1focal) focal; urgency=high

  * Adapt new launch file syntax. (#190 <https://github.com/ros/diagnostics/issues/190>)
  * Introduce history depth parameter for subscription. (#168 <https://github.com/ros/diagnostics/issues/168>)
  * Contributors: Karsten Knese, Ryohsuke Mitsudome

 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 08:00:00 -0000

ros-rolling-diagnostic-aggregator (2.1.1-1focal) focal; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#180 <https://github.com/ros/diagnostics/issues/180>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 Jan 2021 08:00:00 -0000

ros-rolling-diagnostic-aggregator (2.1.0-1focal) focal; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>)
  * Restore alphabetical order. (#148 <https://github.com/ros/diagnostics/issues/148>)
  * Aggregator bugfix, tests, and nicer example. (#147 <https://github.com/ros/diagnostics/issues/147>)
  * Contributors: Arne Nordmann, Georg Bartels, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Tue, 12 Jan 2021 08:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.2-1focal) focal; urgency=high

  * 2.0.2
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * generate changelog
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
    * Removed AMENT_IGNORE and uncrustified
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Started migration of c++ API
    * To be done: logging, assertions, parameter handling
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Started migration of python tests
    * Started migration of analyzer group
    * Migrated from XMLRPC to ROS2 parameters parsing
    * Doesn't create working analzers, yet
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Migrated analyzers plugin
    * Split anaylzers into seperate plugin lib
    * Build shared lib to be used by plugin class loader
    * Fixed plugin registration of analyzers
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Analyzer group correctly setting up analyzers
    * Improved parameter handling of generic_analyzer
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * API migration to ROS2 c++ + logging
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * uncrustified
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Reworked analyzer paths and names
    * Separate handling of the analyzer's (and analyzer group's):
    ** "nice" name
    ** path (path of their results in the robot monitor)
    ** breadcrumb (prefix of their yaml configuration)
    * Logging
    * Uncrustify
    * Examples
    * Less strict cpplint
    * removed using namespace
    * Fixes complation of analyzer group test
    * Removed dependency to boost
    * Using std::mutex instead of boost::mutex. Using std::lock_guard
    instead of boost::scoped_lock since std::scoped_lock was not introduced before C++17
    * Using std::regex instead of boost::regex
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Alphabetical order of includes and dependencies
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Adopted suggestions from review by @Karsten1987
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Minor improvements
    * Using unique_ptrs instead of plain c pointers
    * Simplifying loops
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * use class logger variable
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * make linter tests pass
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * bring back variable names and (void) them
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * linters
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * Aggregator demo launch
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Adds launch-based test
    * Adds launch-based test, starting aggregator with a yaml configuration
    * Test is not yet working, something wrong with process orchestration
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * One passing test
    * One passing test, just looking for output of the bond statemachine
    * One failing test, looking for the actual analyzer output we want to
    test for
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Short documentation of the demo
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * minor fixes
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Working tests for analyzer creation from yaml
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Cleanup, we don't need lifecycle (yes)
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * linters
    * Fixed tests
    * launch testing now working withou previous stdcout hack
    * deleted deprecated (not working) tests
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * - QOS config in python demo publisher
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * fix install location, necessary for eloquent
    * fix undefined behaviour when parameters are kept as default
    * CMakeLists.txt touchup for OSX
    Signed-off-by: Karsten Knese <karsten.knese@us.bosch.com>
    * Moved 'Demo' to 'Example'
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Cleanup


=== debian/control ===
Source: ros-rolling-diagnostic-aggregator
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-pytest, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-diagnostic-msgs, ros-rolling-launch-testing-ament-cmake, ros-rolling-launch-testing-ros, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: http://www.ros.org/wiki/diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-rolling-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclpy, ros-rolling-ros-workspace
Description: diagnostic_aggregator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-diagnostic-aggregator//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-diagnostic-aggregator 3.1.2

=== debian/changelog ===
ros-rolling-diagnostic-aggregator (3.1.2-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 23:00:00 -0000

ros-rolling-diagnostic-aggregator (3.1.1-1jammy) jammy; urgency=high

  * exporting dependency on pluginlib fixes #293 <https://github.com/ros/diagnostics/issues/293> (#294 <https://github.com/ros/diagnostics/issues/294>)
  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * Linting additional package (#268 <https://github.com/ros/diagnostics/issues/268>)
  * Fix code-analyser bug
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Ralph Lange, Tim Clephas

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 23:00:00 -0000

ros-rolling-diagnostic-aggregator (3.1.0-1jammy) jammy; urgency=high

  * Merge of foxy and humble history into rolling for future maintenance from one branch only.
  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Use regex to search AnalyzerGroup
  * Contributors: Alberto Soragna, Austin, Christian Henkel, Keisuke Shima, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 23:00:00 -0000

ros-rolling-diagnostic-aggregator (3.0.0-1jammy) jammy; urgency=high

  * Use node clock for diagnostic_aggregator and diagnostic_updater (#210 <https://github.com/ros/diagnostics/issues/210>)
  * Contributors: Kenji Miyake

 -- Austin Hendrix <namniart@gmail.com>  Thu, 09 Jun 2022 22:00:00 -0000

ros-rolling-diagnostic-aggregator (2.1.3-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-rolling-diagnostic-aggregator (2.1.2-1jammy) jammy; urgency=high

  * Adapt new launch file syntax. (#190 <https://github.com/ros/diagnostics/issues/190>)
  * Introduce history depth parameter for subscription. (#168 <https://github.com/ros/diagnostics/issues/168>)
  * Contributors: Karsten Knese, Ryohsuke Mitsudome

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Mar 2021 23:00:00 -0000

ros-rolling-diagnostic-aggregator (2.1.1-1jammy) jammy; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#180 <https://github.com/ros/diagnostics/issues/180>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-rolling-diagnostic-aggregator (2.1.0-1jammy) jammy; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>)
  * Restore alphabetical order. (#148 <https://github.com/ros/diagnostics/issues/148>)
  * Aggregator bugfix, tests, and nicer example. (#147 <https://github.com/ros/diagnostics/issues/147>)
  * Contributors: Arne Nordmann, Georg Bartels, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.9-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 11 Nov 2022 23:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.8-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.7-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.6-1jammy) jammy; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#179 <https://github.com/ros/diagnostics/issues/179>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.5-1jammy) jammy; urgency=high

  * Set aggregator subscription history depth to 1000. (#174 <https://github.com/ros/diagnostics/issues/174>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Tue, 05 Jan 2021 23:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.4-1jammy) jammy; urgency=high

  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>) (#160 <https://github.com/ros/diagnostics/issues/160>)
  * Contributors: Georg Bartels

 -- Austin Hendrix <namniart@gmail.com>  Tue, 04 Aug 2020 22:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.3-1jammy) jammy; urgency=high

  * restore alphabetical order (#148 <https://github.com/ros/diagnostics/issues/148>) (#150 <https://github.com/ros/diagnostics/issues/150>)
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * Fixes toplevel diagnostic status calculation (#149 <https://github.com/ros/diagnostics/issues/149>)
    See https://github.com/ros/diagnostics/issues/146
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
  * Contributors: Arne Nordmann, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Wed, 08 Jul 2020 22:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.2-1jammy) jammy; urgency=high

  * 2.0.2
  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
    Co-authored-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    Co-authored-by: Robin Vanhove <mailto:1r0b1n0@gmail.com>
  * Contributors: Karsten Knese, Arne Nordmann, Robin Vanhove

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-rolling-diagnostic-aggregator (2.0.1-1jammy) jammy; urgency=high

  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
  * Contributors: Arne Nordmann, Robin Vanhove, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-rolling-diagnostic-aggregator (1.9.3-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-diagnostic-aggregator
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-diagnostic-msgs, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-launch-testing-ros <!nocheck>, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: http://www.ros.org/wiki/diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-rolling-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclpy, ros-rolling-ros-workspace
Description: diagnostic_aggregator

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
